<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ProgressBegin Method (IEdmGetOpCallback)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmGetOpCallback Interface : ProgressBegin Method (IEdmGetOpCallback)

Visual Basic
C#
C++/CLI

eType
  Type of progress bar as defined in EdmProgressType

lSteps
  Number of times that IEdmGetOpCallback::ProgressStep is to be called

Marks the beginning of the process.

# Syntax

Visual Basic |
--- | ---

    Sub ProgressBegin( _
       ByVal eType As EdmProgressType, _
       ByVal lSteps As System.Integer _
    )

C# |
--- | ---

    void ProgressBegin(
       EdmProgressType eType,
       System.int lSteps
    )

C++/CLI |
--- | ---

    void ProgressBegin(
    &   EdmProgressType eType,
    &   System.int lSteps
    )

#### Parameters

eType
  Type of progress bar as defined in EdmProgressType
lSteps
  Number of times that IEdmGetOpCallback::ProgressStep is to be called

# Remarks

Implement this method to display a progress bar. After this method is called, SOLIDWORKS PDM Professional calls IEdmGetOpCallback::ProgressStep lSteps times.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmGetOpCallback Interface
IEdmGetOpCallback Members

# Availability

SOLIDWORKS PDM Professional Version 6.3